Skip to main content
GET
Read a property group

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

groupName
string
required

The name of the property group to retrieve details for.

objectType
string
required

The type of CRM object for which the property group is being retrieved, such as contacts or deals.

Query Parameters

locale
string

The language locale to use for the response. This can affect the language of the labels and descriptions returned.

Response

successful operation

archived
boolean
required

Indicates whether the property group is archived.

label
string
required

A human-readable label that will be shown in HubSpot.

name
string
required

The internal property group name, which must be used when referencing the property group via the API.

displayOrder
integer<int32>

Property groups are displayed in order starting with the lowest positive integer value. Values of -1 will cause the property group to be displayed after any positive values.

Last modified on September 9, 2026